apiVersion: v1
kind: Secret
metadata:
  name: {{ rgw_name }}-conf
  namespace: {{ namespace }}
stringData:
  {{ ceph_cluster_name }}.conf: |
    [global]
    fsid = {{ ceph_cluster_id }}
    mon initial members = {{ ceph_initial_members }}
    mon host = {{ ceph_mon_hosts }}
    rgw admin entry = {{ radosgw_admin_entry }}
    rgw enable apis = {{ radosgw_enable_apis | join(', ') }}
    rgw enable usage log = true
    rgw_frontends = beast port=8080
  {{ ceph_cluster_name }}.client.{{ radosgw_keyring_name }}.gateway.keyring: |
    [client.{{ radosgw_keyring_name }}.gateway]
    key = {{ radosgw_keyring_key }}
    caps mon = "allow rwx"
    caps osd = "allow rwx"
